ZCK_DELTA_SIZE(1)

NAME
zck_delta_size - calculate the differences between two zchunk files

SYNOPSIS
zck_delta_size [-v | --verbose] file1 file2
zck_delta_size? | --help | --usage | --version

DESCRIPTION
The zck_delta_size utility examines two zchunk compressed files and determines how similar they are: how many chunks are the same between the files, so that tools like e.g. rsync(1) or zckdl(1) could only transfer the small parts that differ instead of the full files. This is especially useful for structured files that have been compressed using the zck(1) tool's -s (--split) option.

The zck_delta_size utility accepts the following optional arguments:

-v, --verbose
    Verbose operation; display some diagnostic output.

?, --help
    Display program usage information and exit.

--usage
    Display brief program usage information and exit.

--version
    Display program version information and exit.

EXIT STATUS

EXAMPLES
Examine two zchunk files:

    zck_delta_size doc1.txt.zck doc2.txt.zck

SEE ALSO
unzck(1), zck(1), zck_gen_zdict(1), zck_read_header(1), zckdl(1)

AUTHOR
The zck_delta_size utility was written by Jonathan Dieter <jdieter@gmail.com>. This manual page stub was written by Peter Pentchev <roam@ringlet.net>.